## codeblocks 8.02

=== src/plugins/astyle/astyle/Makefile ===
# Make file for GCC compiler on Linux or compatible OS
# The license.html file describes the conditions under which this software may be distributed.

# list of source files
SRC = astyle_main.cpp \
      ASBeautifier.cpp \
      ASFormatter.cpp \
      ASEnhancer.cpp \
      ASResource.cpp

# source directories
vpath %.cpp ../src
vpath %.h   ../src

# install directory $(ipath)
# set prefix if not defined on the command line
ifndef prefix
    prefix=/usr/bin
endif
ipath=$(prefix)

# define macros
CBASEFLAGS = -W -Wall -fno-rtti -fno-exceptions
INSTALL=install -o $(USER) -g $(USER)

##################################################

# define compile options for each build
CFLAGS   = -O3 $(CBASEFLAGS)
CFLAGSd  = -g $(CBASEFLAGS)
CFLAGSs  = -DASTYLE_LIB -O3 -fpic $(CBASEFLAGS)
CFLAGSsd = -DASTYLE_LIB -g -fpic $(CBASEFLAGS)
CFLAGSa  = -DASTYLE_LIB -O3 $(CBASEFLAGS)
CFLAGSad = -DASTYLE_LIB -g $(CBASEFLAGS)

# object files are built from the source list $(SRC)
# a suffix is added for each build
OBJ   = $(patsubst %.cpp,%.o,$(SRC))
OBJd  = $(patsubst %.cpp,%_d.o,$(SRC))
OBJs  = $(patsubst %.cpp,%_s.o,$(SRC))
OBJsd = $(patsubst %.cpp,%_sd.o,$(SRC))
OBJa  = $(patsubst %.cpp,%_a.o,$(SRC))
OBJad = $(patsubst %.cpp,%_ad.o,$(SRC))

# define object file rule (with the suffix) for each build

# OBJ
%.o:  %.cpp  astyle.h
	g++ $(CFLAGS) -c -o $@ $<

# OBJd
%_d.o:  %.cpp  astyle.h
	g++ $(CFLAGSd) -c -o $@ $<

# OBJs
%_s.o:  %.cpp  astyle.h
	g++ $(CFLAGSs) -c -o $@ $<

# OBJsd
%_sd.o:  %.cpp  astyle.h
	g++ $(CFLAGSsd) -c -o $@ $<

# OBJa
%_a.o:  %.cpp  astyle.h
	g++ $(CFLAGSa) -c -o $@ $<

# OBJad
%_ad.o:  %.cpp  astyle.h
	g++ $(CFLAGSad) -c -o $@ $<

##################################################
# define build dependencies for each command

release:  astyle
astyle:  $(OBJ)
	@ if [ ! -d ../bin ]; then mkdir ../bin; fi
	g++ -o ../bin/$@ $^
	strip ../bin/$@

debug:  astyled
astyled:  $(OBJd)
	@ if [ ! -d ../bin ]; then mkdir ../bin; fi
	g++ -o ../bin/$@ $^

shared:  libastyle.so
libastyle.so:  $(OBJs)
	@ if [ ! -d ../bin ]; then mkdir ../bin; fi
	g++ -shared -o ../bin/$@ $^
	strip ../bin/$@

shareddebug:  libastyled.so
libastyled.so:  $(OBJsd)
	@ if [ ! -d ../bin ]; then mkdir ../bin; fi
	g++ -shared -o ../bin/$@ $^

static:  libastyle.a
libastyle.a:  $(OBJa)
	@ if [ ! -d ../bin ]; then mkdir ../bin; fi
	ar crs ../bin/$@ $^

staticdebug:  libastyled.a
libastyled.a:  $(OBJad)
	@ if [ ! -d ../bin ]; then mkdir ../bin; fi
	ar crs ../bin/$@ $^

all:  release debug shared shareddebug static staticdebug

clean:
	rm -f *.o

install:
	@ $(INSTALL) -m 755 -d $(ipath)
	$(INSTALL) -m 755 ../bin/astyle  $(ipath)

uninstall:
	rm -f $(ipath)/astyle

=== src/sdk/wxscintilla/build/Makefile ===
##############################################################################
## File:        Makefile
## Purpose:     wxScintilla
## Maintainer:  Otto Wyss
## Created:     2004-09-19
## RCS-ID:      $Id: Makefile 1960 2006-02-07 13:36:51Z thomasdenk $
## Copyright:   (c) 2004 wxCode
## Licence:     wxWindows
##############################################################################

# list of source files
SRC = PlatWX.cpp \
      ScintillaWX.cpp \
      wxscintilla.cpp \
      AutoComplete.cxx \
      CallTip.cxx \
      CellBuffer.cxx \
      ContractionState.cxx \
      Document.cxx \
      DocumentAccessor.cxx \
      Editor.cxx \
      Indicator.cxx \
      KeyMap.cxx \
      KeyWords.cxx \
      LexAda.cxx \
      LexAPDL.cxx \
      LexAsm.cxx \
      LexAsn1.cxx \
      LexAU3.cxx \
      LexAVE.cxx \
      LexBaan.cxx \
      LexBash.cxx \
      LexBasic.cxx \
      LexBullant.cxx \
      LexCaml.cxx \
      LexCLW.cxx \
      LexConf.cxx \
      LexCPP.cxx \
      LexCrontab.cxx \
      LexCsound.cxx \
      LexCSS.cxx \
      LexEiffel.cxx \
      LexErlang.cxx \
      LexEScript.cxx \
      LexFlagship.cxx \
      LexForth.cxx \
      LexFortran.cxx \
      LexGui4Cli.cxx \
      LexHaskell.cxx \
      LexHTML.cxx \
      LexKix.cxx \
      LexLisp.cxx \
      LexLout.cxx \
      LexLua.cxx \
      LexMatlab.cxx \
      LexMetapost.cxx \
      LexMMIXAL.cxx \
      LexMPT.cxx \
      LexMSSQL.cxx \
      LexNsis.cxx \
      LexOthers.cxx \
      LexPascal.cxx \
      LexPB.cxx \
      LexPerl.cxx \
      LexPOV.cxx \
      LexPS.cxx \
      LexPython.cxx \
      LexRebol.cxx \
      LexRuby.cxx \
      LexScriptol.cxx \
      LexSmalltalk.cxx \
      LexSpecman.cxx \
      LexSQL.cxx \
      LexTADS3.cxx \
      LexTeX.cxx \
      LexVB.cxx \
      LexVerilog.cxx \
      LexVHDL.cxx \
      LexYAML.cxx \
      LineMarker.cxx \
      PropSet.cxx \
      RESearch.cxx \
      ScintillaBase.cxx \
      Style.cxx \
      StyleContext.cxx \
      UniConversion.cxx \
      ViewStyle.cxx \
      WindowAccessor.cxx \
      XPM.cxx

# source directories
vpath %.cpp ../src
vpath %.cxx ../src/scintilla/src

# additional header directories
INC = -I../include \
      -I../src/scintilla/include \
      -I../src/scintilla/src

DEF = -D__WX__=1 -DSCI_LEXER -DLINK_LEXERS

# objects
OBJ = $(patsubst %.cxx,%.o,$(SRC:.cpp=.o))

# library
LIB = libwxscintilla


##############################################################################
# implementation, change only if other settings or other targets are needed

ifneq ($(WXDEVEL),)
  WXDEVEL_Release = $(WXDEVEL)/Release/
  WXDEVEL_Debug = $(WXDEVEL)/Debug/
  WXDEVEL_Univ = $(WXDEVEL)/Univ/
endif

ifeq ($(MAKECMDGOALS),)
  WXCONFIG=wx-config
  GTKCONFIG=gtk-config
endif
ifeq ($(MAKECMDGOALS),release)
  WXCONFIG=wx-config
  GTKCONFIG=gtk-config
endif
ifeq ($(MAKECMDGOALS),debug)
  WXCONFIG=wxgtkd-2.4-config
  GTKCONFIG=gtk-config
endif
ifeq ($(MAKECMDGOALS),develdebug)
  WXCONFIG=$(WXDEVEL_Debug)wx-config --inplace
  GTKCONFIG=pkg-config gtk+-2.0
endif
ifeq ($(MAKECMDGOALS),univdebug)
  WXCONFIG=$(WXDEVEL_Univ)wx-config --inplace
  GTKCONFIG=pkg-config gtk+-2.0
endif

%.o:	%.cpp
	g++ -fpic -c $(DEF) $(INC) `$(WXCONFIG) --cxxflags` -g -o $@ $<

%.o:	%.cxx
	g++ -fpic -c $(DEF) $(INC) `$(WXCONFIG) --cxxflags` -g -o $@ $<

all:	$(LIB).so
$(LIB).so:	$(OBJ)
	g++ -fpic --share -o ../lib/$@ $^ `$(WXCONFIG) --libs`

release:	$(LIB).a
$(LIB).a:	$(OBJ)
	ar crs ../lib/$@ $^

debug:	$(LIB).so.d
$(LIB).so.d:	$(OBJ)
	g++ -fpic --share -o ../lib/$@ $^ `$(WXCONFIG) --libs`

develdebug:	$(LIB).so.dd
$(LIB).so.dd:	$(OBJ)
	g++ -fpic --share -o ../lib/$@ $^ `$(WXCONFIG) --libs`

univdebug:	$(LIB).so.ud
$(LIB).so.ud:	$(OBJ)
	g++ -fpic --share -o ../lib/$@ $^ `$(WXCONFIG) --libs`

clean:
	rm -f *.o

=== src/plugins/contrib/devpak_plugin/bzip2/Makefile ===

SHELL=/bin/sh
CC=gcc
BIGFILES=-D_FILE_OFFSET_BITS=64
CFLAGS=-Wall -Winline -O2 -fomit-frame-pointer -fno-strength-reduce $(BIGFILES)

OBJS= blocksort.o  \
      huffman.o    \
      crctable.o   \
      randtable.o  \
      compress.o   \
      decompress.o \
      bzlib.o

all: libbz2.a bzip2 bzip2recover test

bzip2: libbz2.a bzip2.o
	$(CC) $(CFLAGS) -o bzip2 bzip2.o -L. -lbz2

bzip2recover: bzip2recover.o
	$(CC) $(CFLAGS) -o bzip2recover bzip2recover.o

libbz2.a: $(OBJS)
	rm -f libbz2.a
	ar cq libbz2.a $(OBJS)
	@if ( test -f /usr/bin/ranlib -o -f /bin/ranlib -o \
		-f /usr/ccs/bin/ranlib ) ; then \
		echo ranlib libbz2.a ; \
		ranlib libbz2.a ; \
	fi

test: bzip2
	@cat words1
	./bzip2 -1  < sample1.ref > sample1.rb2
	./bzip2 -2  < sample2.ref > sample2.rb2
	./bzip2 -3  < sample3.ref > sample3.rb2
	./bzip2 -d  < sample1.bz2 > sample1.tst
	./bzip2 -d  < sample2.bz2 > sample2.tst
	./bzip2 -ds < sample3.bz2 > sample3.tst
	cmp sample1.bz2 sample1.rb2 
	cmp sample2.bz2 sample2.rb2
	cmp sample3.bz2 sample3.rb2
	cmp sample1.tst sample1.ref
	cmp sample2.tst sample2.ref
	cmp sample3.tst sample3.ref
	@cat words3

PREFIX=/usr

install: bzip2 bzip2recover
	if ( test ! -d $(PREFIX)/bin ) ; then mkdir $(PREFIX)/bin ; fi
	if ( test ! -d $(PREFIX)/lib ) ; then mkdir $(PREFIX)/lib ; fi
	if ( test ! -d $(PREFIX)/man ) ; then mkdir $(PREFIX)/man ; fi
	if ( test ! -d $(PREFIX)/man/man1 ) ; then mkdir $(PREFIX)/man/man1 ; fi
	if ( test ! -d $(PREFIX)/include ) ; then mkdir $(PREFIX)/include ; fi
	cp -f bzip2 $(PREFIX)/bin/bzip2
	cp -f bzip2 $(PREFIX)/bin/bunzip2
	cp -f bzip2 $(PREFIX)/bin/bzcat
	cp -f bzip2recover $(PREFIX)/bin/bzip2recover
	chmod a+x $(PREFIX)/bin/bzip2
	chmod a+x $(PREFIX)/bin/bunzip2
	chmod a+x $(PREFIX)/bin/bzcat
	chmod a+x $(PREFIX)/bin/bzip2recover
	cp -f bzip2.1 $(PREFIX)/man/man1
	chmod a+r $(PREFIX)/man/man1/bzip2.1
	cp -f bzlib.h $(PREFIX)/include
	chmod a+r $(PREFIX)/include/bzlib.h
	cp -f libbz2.a $(PREFIX)/lib
	chmod a+r $(PREFIX)/lib/libbz2.a

clean: 
	rm -f *.o libbz2.a bzip2 bzip2recover \
	sample1.rb2 sample2.rb2 sample3.rb2 \
	sample1.tst sample2.tst sample3.tst

blocksort.o: blocksort.c
	@cat words0
	$(CC) $(CFLAGS) -c blocksort.c
huffman.o: huffman.c
	$(CC) $(CFLAGS) -c huffman.c
crctable.o: crctable.c
	$(CC) $(CFLAGS) -c crctable.c
randtable.o: randtable.c
	$(CC) $(CFLAGS) -c randtable.c
compress.o: compress.c
	$(CC) $(CFLAGS) -c compress.c
decompress.o: decompress.c
	$(CC) $(CFLAGS) -c decompress.c
bzlib.o: bzlib.c
	$(CC) $(CFLAGS) -c bzlib.c
bzip2.o: bzip2.c
	$(CC) $(CFLAGS) -c bzip2.c
bzip2recover.o: bzip2recover.c
	$(CC) $(CFLAGS) -c bzip2recover.c

DISTNAME=bzip2-1.0.1
tarfile:
	rm -f $(DISTNAME)
	ln -sf . $(DISTNAME)
	tar cvf $(DISTNAME).tar \
	   $(DISTNAME)/blocksort.c \
	   $(DISTNAME)/huffman.c \
	   $(DISTNAME)/crctable.c \
	   $(DISTNAME)/randtable.c \
	   $(DISTNAME)/compress.c \
	   $(DISTNAME)/decompress.c \
	   $(DISTNAME)/bzlib.c \
	   $(DISTNAME)/bzip2.c \
	   $(DISTNAME)/bzip2recover.c \
	   $(DISTNAME)/bzlib.h \
	   $(DISTNAME)/bzlib_private.h \
	   $(DISTNAME)/Makefile \
	   $(DISTNAME)/manual.texi \
	   $(DISTNAME)/manual.ps \
	   $(DISTNAME)/LICENSE \
	   $(DISTNAME)/bzip2.1 \
	   $(DISTNAME)/bzip2.1.preformatted \
	   $(DISTNAME)/bzip2.txt \
	   $(DISTNAME)/words0 \
	   $(DISTNAME)/words1 \
	   $(DISTNAME)/words2 \
	   $(DISTNAME)/words3 \
	   $(DISTNAME)/sample1.ref \
	   $(DISTNAME)/sample2.ref \
	   $(DISTNAME)/sample3.ref \
	   $(DISTNAME)/sample1.bz2 \
	   $(DISTNAME)/sample2.bz2 \
	   $(DISTNAME)/sample3.bz2 \
	   $(DISTNAME)/dlltest.c \
	   $(DISTNAME)/*.html \
	   $(DISTNAME)/README \
	   $(DISTNAME)/README.COMPILATION.PROBLEMS \
	   $(DISTNAME)/CHANGES \
	   $(DISTNAME)/libbz2.def \
	   $(DISTNAME)/libbz2.dsp \
	   $(DISTNAME)/dlltest.dsp \
	   $(DISTNAME)/makefile.msc \
	   $(DISTNAME)/Y2K_INFO \
	   $(DISTNAME)/unzcrash.c \
	   $(DISTNAME)/spewG.c \
	   $(DISTNAME)/Makefile-libbz2_so

=== src/sdk/wxscintilla/samples/test/Makefile ===
##############################################################################
## File:        Makefile
## Purpose:     wxScintilla test make file
## Maintainer:  Otto Wyss
## Created:     2003-08-20
## RCS-ID:      $Id: Makefile 1960 2006-02-07 13:36:51Z thomasdenk $
## Copyright:   (c) 2004 wxCode
## Licence:     wxWindows
##############################################################################
# base information

# list of source files
SRC = edit.cpp prefs.cpp test.cpp

# executable name
PRG = test

# source directories
vpath %.cpp src
vpath %.cpp ../../src

# additional header directories
INC = -I../../include


##############################################################################
# environment, change only if other settings are needed

ifneq ($(WXDEVEL),)
  WXDEVEL_Debug = $(WXDEVEL)/Debug/
  WXDEVEL_Univ = $(WXDEVEL)/Univ/
endif
ifeq ($(MAKECMDGOALS),)
  WXCONFIG=wx-config
  GTKCONFIG=gtk-config
endif
ifeq ($(MAKECMDGOALS),release)
  WXCONFIG=wx-config
  GTKCONFIG=gtk-config
endif
ifeq ($(MAKECMDGOALS),debug)
  WXCONFIG=wxgtkd-2.4-config
  GTKCONFIG=gtk-config
endif
ifeq ($(MAKECMDGOALS),develdebug)
  WXCONFIG=$(WXDEVEL_Debug)wx-config --inplace
  GTKCONFIG=pkg-config gtk+-2.0
endif
ifeq ($(MAKECMDGOALS),univdebug)
  WXCONFIG=$(WXDEVEL_Univ)wx-config --inplace
  GTKCONFIG=pkg-config gtk+-2.0
endif


##############################################################################
# targets, change only if other targets are needed

OBJ = $(SRC:.cpp=.o)

.cpp.o:
	g++ -c $(INC) `$(WXCONFIG) --cxxflags` -g -o $@ $<

all:	$(PRG)
$(PRG):	$(OBJ)
	g++ -o $@ $^ -lwxscintilla `$(WXCONFIG) --libs`

release:	$(PRG)r
$(PRG)r:	$(OBJ)
	g++ -o $@ $^ $(WXCODE)/wxscintilla/lib/libwxscintilla.a `$(WXCONFIG) --static --libs`

debug:	$(PRG)d
$(PRG)d:	$(OBJ)
	g++ -o $@ $^ $(WXCODE)/wxscintilla/lib/libwxscintilla.so.d `$(WXCONFIG) --libs`

develdebug:	$(PRG)dd
$(PRG)dd:	$(OBJ)
	g++ -o $@ $^ $(WXCODE)/wxscintilla/lib/libwxscintilla.so.dd `$(WXCONFIG) --libs`

univdebug:	$(PRG)ud
$(PRG)ud:	$(OBJ)
	g++ -o $@ $^ $(WXCODE)/wxscintilla/lib/libwxscintilla.so.ud `$(WXCONFIG) --libs`

clean:
	rm -f *.o

=== src/plugins/contrib/wxSmithContribItems/wxthings/wxthings/src/Makefile ===
# Makefile for wxthings lib (UNIX).

# ----------------------------------------------------------------------------
# wxWidgets build settings

WXCONFIG := wx-config

WXDIR      = $(shell $(WXCONFIG) --prefix)
WXEXECDIR  = $(shell $(WXCONFIG) --exec-prefix)
WXLIBDIR   = $(WXEXECDIR)/lib

WXBASENAME = $(shell $(WXCONFIG) --basename)
WXVERSION  = $(shell $(WXCONFIG) --version)
WXRELEASE  = $(shell $(WXCONFIG) --release)

WXCXX      = $(shell $(WXCONFIG) --cxx)
WXCXXFLAGS = $(shell $(WXCONFIG) --cxxflags)
WXLIBS     = $(shell $(WXCONFIG) --libs)

WXSTC_LIB  = $(WXBASENAME)_stc-$(WXRELEASE)

# ----------------------------------------------------------------------------

# in filebrws.cpp we need to resize comboboxes in toolbar
ifndef GTK_CFLAGS
ifeq (gtk2, $(findstring gtk2, $(WXBASENAME)))
GTK_CFLAGS = $(shell pkg-config --cflags gtk+-2.0)
else
GTK_CFLAGS = $(shell gtk-config --cflags)
endif
endif

# ----------------------------------------------------------------------------

# the wxstedit component is used for the wxFileBrowser class
WXSTEDIT_LIB =  $(WXBASENAME)_stedit-$(WXRELEASE)
WXSTEDIT_DIR = ../../wxstedit

# ----------------------------------------------------------------------------

WXTHINGS_LIBNAME = $(WXBASENAME)_wxthings-$(WXRELEASE)
WXTHINGS_LIBDIR = $(WXLIBDIR)

LIBVERSION_CURRENT=1
LIBVERSION_REVISION=0
LIBVERSION_AGE=0

TARGET_LIBNAME = lib$(WXTHINGS_LIBNAME)

TARGET_LIB_STATIC = $(WXTHINGS_LIBDIR)/$(TARGET_LIBNAME).a
TARGET_LIB_SHARED = $(WXTHINGS_LIBDIR)/$(TARGET_LIBNAME).so.$(LIBVERSION_CURRENT).$(LIBVERSION_REVISION).$(LIBVERSION_AGE)
TARGET_LIB_LINK1  = $(TARGET_LIBNAME).so.$(LIBVERSION_CURRENT)
TARGET_LIB_LINK2  = $(TARGET_LIBNAME).so

# ----------------------------------------------------------------------------

CXXFLAGS = $(WXCXXFLAGS) $(GTK_CFLAGS) -MMD -g -Wall -Wunused -Wunused-parameter
LDLIBS   = $(WXLIBS)
CXX      = $(WXCXX)

#-fdump-class-hierarchy  this dumps out a file.cpp.class file
# -pg in libs and defs for profiling
PROFILE = #-pg
APPEXTRADEFS = -I$(WXDIR)/contrib/include -I$(WXSTEDIT_DIR)/include -I../include $(PROFILE)
APPEXTRALIBS = -l$(WXSTC_LIB) -l$(WXSTEDIT_LIB) $(PROFILE)

# ----------------------------------------------------------------------------

RM        = rm -f
AR        = ar
AROPTIONS = rcu
RANLIB    = ranlib
LN_S      = ln -s

# ----------------------------------------------------------------------------

OBJECTS = \
	block.o \
	bmpcombo.o \
	dropdown.o \
	filebrws.o \
	genergdi.o \
	geometry.o \
	menubtn.o \
	optvalue.o \
	range.o \
	spinctld.o \
	toggle.o

DEPFILES=$(OBJECTS:.o=.d)

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(APPEXTRADEFS) -o $@ $<

all: $(TARGET_LIB_STATIC) $(TARGET_LIB_SHARED)

$(TARGET_LIB_STATIC) : $(OBJECTS)
	@$(RM) $@
	$(AR) $(AROPTIONS) $@ $(OBJECTS)
	$(RANLIB) $@

$(TARGET_LIB_SHARED): $(OBJECTS)
	$(CXX) -shared -o $@ $(OBJECTS)
	cd $(WXTHINGS_LIBDIR) \
	&& $(RM) $(TARGET_LIB_LINK1) $(TARGET_LIB_LINK2) \
	&& $(LN_S) $(TARGET_LIB_SHARED) $(TARGET_LIB_LINK1) \
	&& $(LN_S) $(TARGET_LIB_SHARED) $(TARGET_LIB_LINK2)

clean:
	rm -f $(OBJECTS) $(DEPFILES) core \
		$(TARGET_LIB_STATIC) \
		$(TARGET_LIB_SHARED) \
		$(WXTHINGS_LIBDIR)/$(TARGET_LIB_LINK1) \
		$(WXTHINGS_LIBDIR)/$(TARGET_LIB_LINK2)

-include $(DEPFILES)

=== src/plugins/contrib/wxSmithContribItems/wxthings/wxthings/samples/filebrws/Makefile ===
# Makefile for sheetdemo example for the wxsheet lib (UNIX).

# ----------------------------------------------------------------------------
# wxWidgets build settings

WXCONFIG := wx-config

WXDIR      = $(shell $(WXCONFIG) --prefix)
WXEXECDIR  = $(shell $(WXCONFIG) --exec-prefix)
WXLIBDIR   = $(WXEXECDIR)/lib

WXBASENAME = $(shell $(WXCONFIG) --basename)
WXVERSION  = $(shell $(WXCONFIG) --version)
WXRELEASE  = $(shell $(WXCONFIG) --release)

WXCXX      = $(shell $(WXCONFIG) --cxx)
WXCXXFLAGS = $(shell $(WXCONFIG) --cxxflags)
WXLIBS     = $(shell $(WXCONFIG) --libs)

WXSTC_LIB  = $(WXBASENAME)_stc-$(WXRELEASE)

# ----------------------------------------------------------------------------

WXTHINGS_LIBNAME = $(WXBASENAME)_wxthings-$(WXRELEASE)
WXTHINGS_LIBDIR = $(WXLIBDIR)

LIBVERSION_CURRENT=1
LIBVERSION_REVISION=0
LIBVERSION_AGE=0

TARGET_LIBNAME = lib$(WXTHINGS_LIBNAME)

TARGET_LIB_STATIC = $(WXTHINGS_LIBDIR)/$(TARGET_LIBNAME).a
TARGET_LIB_SHARED = $(WXTHINGS_LIBDIR)/$(TARGET_LIBNAME).so.$(LIBVERSION_CURRENT).$(LIBVERSION_REVISION).$(LIBVERSION_AGE)
TARGET_LIB_LINK1  = $(TARGET_LIBNAME).so.$(LIBVERSION_CURRENT)
TARGET_LIB_LINK2  = $(TARGET_LIBNAME).so

# ----------------------------------------------------------------------------

WXSTEDIT_LIBDIR = ../../../wxstedit
WXSTEDIT_LIBNAME = $(WXBASENAME)_stedit-$(WXRELEASE)

# ----------------------------------------------------------------------------

CXXFLAGS = $(WXCXXFLAGS) -MMD -g  -Wall -Wunused -Wunused-parameter
LDLIBS   = $(WXLIBS)
CXX      = $(WXCXX)

# -pg in libs and defs for profiling
PROFILE = #-pg
APPEXTRADEFS = -I$(WXDIR)/contrib/include -I../../include -I$(WXSTEDIT_LIBDIR)/include $(PROFILE)
APPEXTRALIBS =  -l$(WXSTC_LIB) $(PROFILE)

# ----------------------------------------------------------------------------

PROGRAM = wxfilebrowser

OBJECTS = wxfilebrowser.o

DEPFILES=$(OBJECTS:.o=.d)

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(APPEXTRADEFS) -o $@ $<

all: $(WXSTEDIT_LIBNAME) $(WXTHINGS_LIBNAME) $(PROGRAM)

$(WXSTEDIT_LIBNAME) :
	@(cd $(WXSTEDIT_LIBDIR)/src && make)

$(WXTHINGS_LIBNAME) :
	@(cd ../../src && make)

# wxfilebrowser program using shared filebrws library
$(PROGRAM): $(PROGRAM).o $(TARGET_LIB_SHARED)
	$(CXX) $(LDFLAGS_EXE) -o $@ $(PROGRAM).o $(LDLIBS) $(APPEXTRALIBS) -l$(WXSTEDIT_LIBNAME) -l$(WXTHINGS_LIBNAME)

# wxfilebrowser program using static filebrws library
#$(PROGRAM): $(PROGRAM).o $(TARGET_LIB_STATIC)
#	$(CXX) $(LDFLAGS_EXE) -o $@ $(PROGRAM).o $(LDLIBS) $(APPEXTRALIBS) $(TARGET_LIB_STATIC)

# wxfilebrowser program using just object files and not the filebrws lib
#$(PROGRAM): $(PROGRAM).o $(OBJECTS)
#	$(CXX) $(LDFLAGS_EXE) -o $@ $(PROGRAM).o $(OBJECTS) $(LDLIBS) $(APPEXTRALIBS)

clean:
	rm -f $(OBJECTS) $(DEPFILES) $(PROGRAM) $(PROGRAM).o $(PROGRAM).d core

cleanall: clean
	@(cd ../../src && make clean)


-include $(DEPFILES)

=== src/plugins/contrib/wxSmithContribItems/wxthings/wxthings/samples/things/Makefile ===
# Makefile for thingsdemo example for the wxthings lib (UNIX).

# ----------------------------------------------------------------------------
# wxWidgets build settings

WXCONFIG := wx-config

WXDIR      = $(shell $(WXCONFIG) --prefix)
WXEXECDIR  = $(shell $(WXCONFIG) --exec-prefix)
WXLIBDIR   = $(WXEXECDIR)/lib

WXBASENAME = $(shell $(WXCONFIG) --basename)
WXVERSION  = $(shell $(WXCONFIG) --version)
WXRELEASE  = $(shell $(WXCONFIG) --release)

WXCXX      = $(shell $(WXCONFIG) --cxx)
WXCXXFLAGS = $(shell $(WXCONFIG) --cxxflags)
WXLIBS     = $(shell $(WXCONFIG) --libs)

# ----------------------------------------------------------------------------

WXTHINGS_LIBNAME = $(WXBASENAME)_wxthings-$(WXRELEASE)
WXTHINGS_LIBDIR = $(WXLIBDIR)

LIBVERSION_CURRENT=1
LIBVERSION_REVISION=0
LIBVERSION_AGE=0

TARGET_LIBNAME = lib$(WXTHINGS_LIBNAME)

TARGET_LIB_STATIC = $(WXTHINGS_LIBDIR)/$(TARGET_LIBNAME).a
TARGET_LIB_SHARED = $(WXTHINGS_LIBDIR)/$(TARGET_LIBNAME).so.$(LIBVERSION_CURRENT).$(LIBVERSION_REVISION).$(LIBVERSION_AGE)
TARGET_LIB_LINK1  = $(TARGET_LIBNAME).so.$(LIBVERSION_CURRENT)
TARGET_LIB_LINK2  = $(TARGET_LIBNAME).so

# ----------------------------------------------------------------------------

CXXFLAGS = $(WXCXXFLAGS) -MMD -g  -Wall -Wunused -Wunused-parameter
LDLIBS   = $(WXLIBS)
CXX      = $(WXCXX)

# -pg in libs and defs for profiling
PROFILE = #-pg
APPEXTRADEFS = -I../../include $(PROFILE)
APPEXTRALIBS =  $(PROFILE)

# ----------------------------------------------------------------------------

PROGRAM = thingsdemo

OBJECTS = \
	../../src/block.o \
	../../src/bmpcombo.o \
	../../src/dropdown.o \
	../../src/genergdi.o \
	../../src/menubtn.o \
	../../src/optvalue.o \
	../../src/range.o \
	../../src/spinctld.o \
	../../src/toggle.o

DEPFILES=$(OBJECTS:.o=.d)

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(APPEXTRADEFS) -o $@ $<

all: $(WXTHINGS_LIBNAME) $(PROGRAM)

$(WXTHINGS_LIBNAME) :
	@(cd ../../src && make)

# thingsdemo program using shared things library, requires wxstedit
#$(PROGRAM): $(PROGRAM).o $(TARGET_LIB_SHARED)
#	$(CXX) $(LDFLAGS_EXE) -o $@ $(PROGRAM).o $(LDLIBS) $(APPEXTRALIBS) -l$(WXTHINGS_LIBNAME)

# thingsdemo program using static things library
#$(PROGRAM): $(PROGRAM).o $(TARGET_LIB_STATIC)
#	$(CXX) $(LDFLAGS_EXE) -o $@ $(PROGRAM).o $(LDLIBS) $(APPEXTRALIBS) $(TARGET_LIB_STATIC)

# thingsdemo program using just object files and not the things lib
$(PROGRAM): $(PROGRAM).o $(OBJECTS)
	$(CXX) $(LDFLAGS_EXE) -o $@ $(PROGRAM).o $(OBJECTS) $(LDLIBS) $(APPEXTRALIBS)

clean:
	rm -f $(OBJECTS) $(DEPFILES) $(PROGRAM) $(PROGRAM).o $(PROGRAM).d core

cleanall: clean
	@(cd ../../src && make clean)

-include $(DEPFILES)

## codeblocks 10.05

=== debian/changelog ===
codeblocks (10.05-1) unstable; urgency=low

  * Initial Debian release (Closes: #304570)
  * Setting myself as Maintainer, original Ubuntu maintainer set as
    Uploader
  * Use debian/watch to get the original tarball, instead of an ad-hoc
    script
  * Wrap multivalue fields in debian/control
  * Update debian/copyright with lots of missing info, and use DEP-5
  * Add missing linkage to libX11 (03-fix_libX11_linkage.patch)
  * Use dh7 for debian/rules
  * Build-Depend on dh-autoreconf, since we need to re-generate autotools
    machinery (libtool version mismatch)
  * Migrate from libwxsmithlib0-dev to libwxsmithlib-dev, to ease
    future SONAME bumps.

 -- David Paleino <dapal@debian.org>  Sat, 22 Jan 2011 20:58:57 +0100

codeblocks (10.05-0ubuntu1) maverick; urgency=low

  * New upstream release. Closes (LP: #322350)
   - Switch to dpkg-source 3.0 (quilt) format
   - Remove unneeded README.source
   - Add debian/get-source-orig script that removes all
     Windows prebuilt binaries
  * Bump Standards-Version to 3.9.1
   - Stop shipping *.la files
  * debian/control
   - Add cdbs package as Build-Depend
   - Add libbz2-dev and zlib1g-dev packages as
     Build-Depends (needed by libhelp_plugin.so)
   - Remove dpatch package of Build-Depends
   - Add codeblocks-contrib-debug package
   - Split architecture-independent files of codeblocks
     package in codeblocks-common package
  * debian/rules
   - Switch to CDBS rules system
   - Add parallel build support
   - Add a call to debian/get-source-orig script
   - Use lzma compression (saves 23,5 MB of free space)
  * debian/patches
   - Refresh 01_codeblocks_plugin_path
   - Add 02_no_Makefiles_in_debian_dir to remove any link
     in codeblocks build system to deleted Makefiles of debian directory
   - Drop 02_ftbfs_gcc44 and 03_ftbfs_glib221 (merged in upstream)
  * debian/watch
   - Update to use the new host (berlios.de)

 -- Cosme Domínguez Díaz <cosme.ddiaz@gmail.com>  Mon, 09 Aug 2010 04:38:38 +0200

codeblocks (8.02-0ubuntu4) karmic; urgency=low

  [ Felix Geyer ]
  * Fix FTBFS with gcc 4.4 and glib 2.21 (LP: #428875)
    - Add debian/patches/02_ftbfs_gcc44.dpatch
    - Add debian/patches/03_ftbfs_glib221.dpatch

  [ Andrew Starr-Bochicchio ]
  * debian/rules: Drop depricated dh_desktop call.
  * debian/control:
   - Add ${misc:Depends} as we use debhelper.
   - Bump Standards-Version to 3.8.3, no changes needed.
   - Move codeblocks-dbg to Section: debug
  * Add README.source pointing to dpatch documentation.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 13 Sep 2009 14:18:13 -0400

codeblocks (8.02-0ubuntu3) jaunty; urgency=low

  * debian/control: Add recommends on xterm. Codeblocks seems to use xterm to
    launch programs; this failed if xterm was not present. (LP: #355524)

 -- David Cordero <david@corderoramirez.es>  Wed, 08 Apr 2009 17:51:47 +0200

codeblocks (8.02-0ubuntu2) intrepid; urgency=low

  * Expanded control file entries as per archive admin request.
  * Corrected original maintainer which had accidently been left as
    the maintainer set in the upstream Debian folder, and not as myself

 -- Michael Casadevall <sonicmctails@gmail.com>  Thu, 24 Jul 2008 09:47:33 -0400

codeblocks (8.02-0ubuntu1) intrepid; urgency=low

  * Inital Release based off existing codeblocks debian folder (LP: #105428)
  * Modify Maintainer from original debian folder to match 
    the DebianMaintainerField specification.
  * Added 01_codeblocks_plugin_path.dpatch to move the plugins path
  * Noted the LGPL licensing for some of the files in copyright, and
    pinged upstream to please include a COPYING.LGPL file in the source
    tarball

 -- Michael Casadevall <sonicmctails@gmail.com>  Thu, 17 Jul 2008 04:39:23 +0000

=== debian/control ===
Source: codeblocks
Section: x11
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Uploaders: Michael Casadevall <sonicmctails@gmail.com>
Build-Depends: debhelper (>= 7.0.50~)
 , dh-autoreconf
 , libwxgtk2.8-dev
 , wx-common
 , zip
 , libbz2-dev
 , zlib1g-dev
 , libgtk2.0-dev
 , libstdc++6-4.5-dev | libstdc++6-4.4-dev
Standards-Version: 3.9.1
Homepage: http://codeblocks.org

Package: codeblocks
Architecture: any
Section: devel
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , codeblocks-common (= ${source:Version})
 , libcodeblocks0
Recommends:
 gcc | g++
 , gdb
 , xterm
Suggests:
 libwxgtk2.8-dev
 , wx-common
 , codeblocks-contrib
Description: Code::Blocks integrated development environment (IDE)
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)

Package: codeblocks-common
Architecture: all
Breaks: codeblocks (<< 10.05)
Replaces: codeblocks (<< 10.05)
Depends: ${misc:Depends}
Description: common files for Code::Blocks IDE
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 .
 This package contains the architecture-independent files of Code::Blocks.

Package: libcodeblocks0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , binutils (>= 2.14.90.0.7)
 , file
Recommends: codeblocks
Description: Code::Blocks shared library
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the Code::Blocks shared library.

Package: codeblocks-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}
 , codeblocks (= ${binary:Version})
Description: Code::Blocks debugging libraries
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the debugging libraries for the 'codeblocks' package.

Package: codeblocks-contrib
Architecture: any
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , codeblocks (= ${binary:Version})
 , libwxsmithlib0 (= ${binary:Version})
Description: contrib plugins for Code::Blocks IDE
 This package extends Code::Blocks functionality a great deal with the included
 plugins. These are:
    * Code profiler (based on gprof) and code statistics (SLOCs etc)
    * Copy strings
    * DragScroll (enhances mouse operations)
    * Setting of environment variables
    * Source exporter to PDF/HTML/ODT/RTF
    * Header fixup
    * Help
    * Keyboard shortcuts configuration
    * RAD gui-builder for wxWidgets (wxSmith)
    * wxSmith AUI and wxSmith contrib items
    * Selection of small games for relaxing between coding sessions! (BYOGames)
    * Autoversioning
    * ThreadSearch
    * BrowseTracker
    * Valgrind
    * HexEditor
    * IncrementalSearch
    * Codesnippets
    * Library finder
    * Regular expression testbed
    * Symbol table plugin
    * CB koders
    * MouseSap
    * Cccc
    * CppCheck

Package: codeblocks-contrib-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}
 , codeblocks-contrib (= ${binary:Version})
 , codeblocks-dbg (= ${binary:Version})
Description: Debugging libraries for the Code::Blocks contrib plugins
 This package extends Code::Blocks functionality a great deal with the included
 plugins. These are:
    * Code profiler (based on gprof) and code statistics (SLOCs etc)
    * Copy strings
    * DragScroll (enhances mouse operations)
    * Setting of environment variables
    * Source exporter to PDF/HTML/ODT/RTF
    * Header fixup
    * Help
    * Keyboard shortcuts configuration
    * RAD gui-builder for wxWidgets (wxSmith)
    * wxSmith AUI and wxSmith contrib items
    * Selection of small games for relaxing between coding sessions! (BYOGames)
    * Autoversioning
    * ThreadSearch
    * BrowseTracker
    * Valgrind
    * HexEditor
    * IncrementalSearch
    * Codesnippets
    * Library finder
    * Regular expression testbed
    * Symbol table plugin
    * CB koders
    * MouseSap
    * Cccc
    * CppCheck
 .
 This package contains the debugging libraries for 'codeblocks-contrib' and
 'libwxsmithlib0' packages.

Package: codeblocks-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
 , libcodeblocks0 (= ${binary:Version})
Description: Code::Blocks development files (SDK)
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the development files (headers and libraries) for
 creating Code::Blocks plugins. 

Package: libwxsmithlib0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , libcodeblocks0 (= ${binary:Version})
Recommends: codeblocks-contrib (= ${binary:Version})
Description: wxSmith shared library (Code::Blocks plugin for RAD GUI editing)
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the wxSmith shared library. 

Package: libwxsmithlib-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
 , libwxsmithlib0 (= ${binary:Version})
Replaces: libwxsmithlib0-dev (<< 10.05-1~)
Breaks: libwxsmithlib0-dev (<< 10.05-1~)
Description: wxSmith development files (Code::Blocks plugin for RAD GUI editing)
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the wxSmith development libraries and headers.

Package: libwxsmithlib0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
 , libwxsmithlib-dev (= ${binary:Version})
Description: dummy transitional package for wxSmith development files
 This is a transitional package to migrate to libwxsmithlib-dev.
 Once no package depends on it, you may safely remove it.

=== debian/rules ===
#!/usr/bin/make -f

NUMJOBS = $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
else
	DEB_BUILD_OPTIONS += parallel=$(NUMJOBS)
	export DEB_BUILD_OPTIONS
endif

%:
	dh $@ \
		--with autoreconf \
		--parallel

override_dh_auto_configure:
	dh_auto_configure -- --with-contrib-plugins=all

override_dh_strip:
	dh_strip -k
	# Move the debugging symbols into the proper packages
	mkdir -p $(CURDIR)/debian/codeblocks-dbg/usr/lib/
	mv $(CURDIR)/debian/codeblocks/usr/lib/debug/ \
	    $(CURDIR)/debian/codeblocks-dbg/usr/lib/
	mv $(CURDIR)/debian/libcodeblocks0/usr/lib/debug/usr/lib/* \
	    $(CURDIR)/debian/codeblocks-dbg/usr/lib/debug/usr/lib/
	rm -vrf $(CURDIR)/debian/codeblocks/usr/lib/debug/ \
	    $(CURDIR)/debian/libcodeblocks0/usr/lib/debug/

	mkdir -p $(CURDIR)/debian/codeblocks-contrib-dbg/usr/lib/
	mv $(CURDIR)/debian/codeblocks-contrib/usr/lib/debug/ \
	    $(CURDIR)/debian/codeblocks-contrib-dbg/usr/lib/
	mv $(CURDIR)/debian/libwxsmithlib0/usr/lib/debug/usr/lib/* \
	    $(CURDIR)/debian/codeblocks-contrib-dbg/usr/lib/debug/usr/lib/
	rm -vrf $(CURDIR)/debian/codeblocks-contrib/usr/lib/debug/ \
	    $(CURDIR)/debian/libwxsmithlib0/usr/lib/debug/

overide_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/codeblocks/plugins -Xusr/lib/wxSmithContribItems

override_dh_shlibdeps:
	dh_shlibdeps -Xusr/lib/codeblocks/plugins

=== debian/watch ===
version=3
opts="downloadurlmangle=s/prdownload/download/" \
http://developer.berlios.de/project/showfiles.php?group_id=5358 \
http://prdownload.berlios.de/codeblocks/codeblocks-([\d\.]+)-src\.tar\.bz2
